From d9cdea559ffa730fd3592b78f5f8530da3d4c803 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date: Thu, 12 Oct 2017 14:09:09 +0200
Subject: [PATCH] Move tests into existing (auto)tests subdirectories

---
 generators/chm/CMakeLists.txt                 | 12 +++---------
 generators/chm/autotests/CMakeLists.txt       |  8 ++++++++
 generators/chm/autotests/chmgeneratortest.cpp |  2 +-
 generators/comicbook/CMakeLists.txt           | 10 +++-------
 generators/comicbook/autotests/CMakeLists.txt |  6 ++++++
 generators/kimgio/CMakeLists.txt              |  6 +-----
 generators/kimgio/tests/CMakeLists.txt        |  5 +++++
 generators/kimgio/tests/kimgiotest.cpp        |  2 +-
 8 files changed, 28 insertions(+), 23 deletions(-)
 create mode 100644 generators/chm/autotests/CMakeLists.txt
 create mode 100644 generators/comicbook/autotests/CMakeLists.txt
 create mode 100644 generators/kimgio/tests/CMakeLists.txt

diff --git a/generators/chm/CMakeLists.txt b/generators/chm/CMakeLists.txt
index 9d82b9394..b3a33afe4 100644
--- a/generators/chm/CMakeLists.txt
+++ b/generators/chm/CMakeLists.txt
@@ -30,15 +30,9 @@ set(okularGenerator_chmlib_SRCS
 okular_add_generator(okularGenerator_chmlib ${okularGenerator_chmlib_SRCS})
 target_link_libraries(okularGenerator_chmlib  okularcore ${CHM_LIBRARY} ${LIBZIP_LIBRARY} KF5::KHtml)
 
-########### autotests ###############
-
-add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
-ecm_add_test(autotests/chmgeneratortest.cpp
-    TEST_NAME "chmgeneratortest"
-    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore
-)
-
-target_compile_definitions(chmgeneratortest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_chmlib>")
+if(BUILD_TESTING)
+   add_subdirectory(autotests)
+endif()
 
 ########### install files ###############
 install( FILES okularChm.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
diff --git a/generators/chm/autotests/CMakeLists.txt b/generators/chm/autotests/CMakeLists.txt
new file mode 100644
index 000000000..59753ca45
--- /dev/null
+++ b/generators/chm/autotests/CMakeLists.txt
@@ -0,0 +1,8 @@
+add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/../" )
+
+ecm_add_test(chmgeneratortest.cpp
+    TEST_NAME "chmgeneratortest"
+    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore
+)
+
+target_compile_definitions(chmgeneratortest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_chmlib>")
diff --git a/generators/chm/autotests/chmgeneratortest.cpp b/generators/chm/autotests/chmgeneratortest.cpp
index 18305913e..b28822d68 100644
--- a/generators/chm/autotests/chmgeneratortest.cpp
+++ b/generators/chm/autotests/chmgeneratortest.cpp
@@ -32,7 +32,7 @@ void ChmGeneratorTest::initTestCase()
 {
     Okular::SettingsCore::instance(QStringLiteral("ChmGeneratorTest"));
     m_document = new Okular::Document(nullptr);
-    const QString testFile = QStringLiteral(KDESRCDIR "autotests/data/test.chm");
+    const QString testFile = QStringLiteral(KDESRCDIR "data/test.chm");
     QMimeDatabase db;
     const QMimeType mime = db.mimeTypeForFile(testFile);
     QCOMPARE(m_document->openDocument(testFile, QUrl(), mime), Okular::Document::OpenSuccess);
diff --git a/generators/comicbook/CMakeLists.txt b/generators/comicbook/CMakeLists.txt
index 9a07c7183..316c93152 100644
--- a/generators/comicbook/CMakeLists.txt
+++ b/generators/comicbook/CMakeLists.txt
@@ -29,13 +29,9 @@ if (KArchive_HAVE_LZMA)
     target_compile_definitions(okular_comicbook PRIVATE -DWITH_K7ZIP=1)
 endif()
 
-########### autotests ###############
-
-add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
-ecm_add_test(autotests/comicbooktest.cpp
-    TEST_NAME "comicbooktest"
-    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore okular_comicbook
-)
+if(BUILD_TESTING)
+    add_subdirectory(autotests)
+endif()
 
 ########### install files ###############
 install( FILES okularComicbook.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
diff --git a/generators/comicbook/autotests/CMakeLists.txt b/generators/comicbook/autotests/CMakeLists.txt
new file mode 100644
index 000000000..aaacb341a
--- /dev/null
+++ b/generators/comicbook/autotests/CMakeLists.txt
@@ -0,0 +1,6 @@
+add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/../" )
+
+ecm_add_test(comicbooktest.cpp
+    TEST_NAME "comicbooktest"
+    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore okular_comicbook
+)
diff --git a/generators/kimgio/CMakeLists.txt b/generators/kimgio/CMakeLists.txt
index db14d741f..49f893bc1 100644
--- a/generators/kimgio/CMakeLists.txt
+++ b/generators/kimgio/CMakeLists.txt
@@ -13,13 +13,9 @@ okular_add_generator(okularGenerator_kimgio generator_kimgio.cpp)
 target_link_libraries(okularGenerator_kimgio okularcore KF5::KExiv2 KF5::I18n)
 
 if(BUILD_TESTING)
-    add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
-    set( kimgiotest_SRCS tests/kimgiotest.cpp ${CMAKE_SOURCE_DIR}/part/pagepainter.cpp ${CMAKE_SOURCE_DIR}/part/guiutils.cpp ${CMAKE_SOURCE_DIR}/part/debug_ui.cpp )
-    ecm_add_test(${kimgiotest_SRCS} TEST_NAME "kimgiotest" LINK_LIBRARIES okularcore okularpart Qt5::Svg Qt5::Test)
-    target_compile_definitions(kimgiotest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_kimgio>")
+   add_subdirectory(tests)
 endif()
 
-
 ########### install files ###############
 install( FILES okularKimgio.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
 install( PROGRAMS okularApplication_kimgio.desktop org.kde.mobile.okular_kimgio.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
diff --git a/generators/kimgio/tests/CMakeLists.txt b/generators/kimgio/tests/CMakeLists.txt
new file mode 100644
index 000000000..844c9096a
--- /dev/null
+++ b/generators/kimgio/tests/CMakeLists.txt
@@ -0,0 +1,5 @@
+add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/../" )
+
+set( kimgiotest_SRCS kimgiotest.cpp ${CMAKE_SOURCE_DIR}/part/pagepainter.cpp ${CMAKE_SOURCE_DIR}/part/guiutils.cpp ${CMAKE_SOURCE_DIR}/part/debug_ui.cpp )
+ecm_add_test(${kimgiotest_SRCS} TEST_NAME "kimgiotest" LINK_LIBRARIES okularcore okularpart Qt5::Svg Qt5::Test)
+target_compile_definitions(kimgiotest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_kimgio>")
diff --git a/generators/kimgio/tests/kimgiotest.cpp b/generators/kimgio/tests/kimgiotest.cpp
index 2b507ed79..acd70b168 100644
--- a/generators/kimgio/tests/kimgiotest.cpp
+++ b/generators/kimgio/tests/kimgiotest.cpp
@@ -7,7 +7,7 @@
  *   (at your option) any later version.                                   *
  ***************************************************************************/
 
-#include "../../settings_core.h"
+#include "../../../settings_core.h"
 #include "../generator_kimgio.h"
 
 #include <core/observer.h>
-- 
2.29.2

